Apply by doing:
	cd /usr/src
	patch -p0 < 015_kerntime.patch
And then rebuild your kernel.

Index: sys/kern/kern_time.c
===================================================================
RCS file: /cvs/src/sys/kern/kern_time.c,v
retrieving revision 1.29
retrieving revision 1.29.2.1
diff -u -r1.29 -r1.29.2.1
--- sys/kern/kern_time.c	14 Mar 2002 01:27:04 -0000	1.29
+++ sys/kern/kern_time.c	2 Oct 2002 20:27:29 -0000	1.29.2.1
@@ -1,4 +1,4 @@
-/*	$OpenBSD: kern_time.c,v 1.29 2002/03/14 01:27:04 millert Exp $	*/
+/*	$OpenBSD: kern_time.c,v 1.29.2.1 2002/10/02 20:27:29 jason Exp $	*/
 /*	$NetBSD: kern_time.c,v 1.20 1996/02/18 11:57:06 fvdl Exp $	*/
 
 /*
@@ -426,13 +426,13 @@
 	register_t *retval;
 {
 	register struct sys_getitimer_args /* {
-		syscallarg(u_int) which;
+		syscallarg(int) which;
 		syscallarg(struct itimerval *) itv;
 	} */ *uap = v;
 	struct itimerval aitv;
 	int s;
 
-	if (SCARG(uap, which) > ITIMER_PROF)
+	if (SCARG(uap, which) < ITIMER_REAL || SCARG(uap, which) > ITIMER_PROF)
 		return (EINVAL);
 	s = splclock();
 	if (SCARG(uap, which) == ITIMER_REAL) {
@@ -465,7 +465,7 @@
 	register_t *retval;
 {
 	register struct sys_setitimer_args /* {
-		syscallarg(u_int) which;
+		syscallarg(int) which;
 		syscallarg(struct itimerval *) itv;
 		syscallarg(struct itimerval *) oitv;
 	} */ *uap = v;
@@ -474,7 +474,7 @@
 	int s, error;
 	int timo;
 
-	if (SCARG(uap, which) > ITIMER_PROF)
+	if (SCARG(uap, which) < ITIMER_REAL || SCARG(uap, which) > ITIMER_PROF)
 		return (EINVAL);
 	itvp = SCARG(uap, itv);
 	if (itvp && (error = copyin((void *)itvp, (void *)&aitv,
